models module route (requires models:model-access:admin)
PUT
/v1/m/models/model-access/{id}
const url = 'https://example.com/v1/m/models/model-access/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"budget_ref":"example","description":"example","effect":"","id":"example","subject_kind":"user","subject_ref":"example","surfaces":[""],"target_kind":"model","target_ref":"example","workspace_ref":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/models/model-access/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "budget_ref": "example", "description": "example", "effect": "", "id": "example", "subject_kind": "user", "subject_ref": "example", "surfaces": [ "" ], "target_kind": "model", "target_ref": "example", "workspace_ref": "example" }'Replaces one model-access rule; its subject and target references are validated.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
budget_ref
string
description
string
effect
string
id
string
subject_kind
required
string
subject_ref
required
string
surfaces
Array<string>
target_kind
required
string
target_ref
required
string
workspace_ref
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}